environment-ip: ENC(w1+POo9hLUzUYyV7oTAjXnPioWYssX77)
server:
  port: 8406

spring:
  data:
    redis:
      host: ENC(w1+POo9hLUzUYyV7oTAjXnPioWYssX77)
      port: 30325
      #    password: Epoinfo0004|
      jedis:
        pool:
          # 连接池的最大数据库连接数
          max-active: 8
          #连接池最大阻塞等待时间（使用负值表示没有限制）
          max-wait: 2000
          # 连接池中的最大空闲连接
          max-idle: 8
          # 连接池中的最小空闲连接
          min-idle: 0
          #每ms运行一次空闲连接回收器（独立线程）
          time-between-eviction-runs: 1000

  datasource:
    driver-class-name: com.alipay.oceanbase.jdbc.Driver
    # DB数据库信息从paas平台里面动态配置 jdbc:oceanbase://10.33.221.190:2883
    url: jdbc:oceanbase://10.33.240.207:2881?rewriteBatchedStatements=TRUE
    #格式： 用户名@租户名#集群名
    username: unionjs@gxxjycsdb
    password: ENC(0SNhMqnAZf/8CCmyXOIjcA==)
pms:
  ai:
    zhiyu:
      base-url: http://10.32.41.228:39080
      api-key:
      model: qwen3.5
      temperature: 0.5
      max-tokens: 50000
      max-iterations: 5
    local:
      base-url: http://172.28.30.253:8001
      api-key: 115e68c85d91d40dd3df42a06f08cbed
      model: Qwen3.5-27B
      temperature: 0.5
      max-tokens: 50000
      max-iterations: 5
    siliconFlow:
      base-url: https://api.siliconflow.cn
      api-key: sk-necxquynovkphnulbbfbsopeosgogrsuqgxxctzhbcbpntyh
      model: Qwen/Qwen3.5-27B
      temperature: 0.2
      max-tokens: 50000
      max-iterations: 5